/* Post component ================ */

$post-transition: all .5s;

.post {
  position: relative;
  display: flex;
  flex-direction: column;
  border-radius: $border-radius-main;
  overflow: hidden;
  color: $color-gray-dark;
  background-color: $color-white;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, .21);
  transition: $post-transition;

  &:focus {
    outline: none;
  }

  &:hover {
    text-decoration: none;

    .post__image img {
      transform: scale(1.2);
    }
  }
}

.post__image {
  width: 100%;
  height: 239px;
  overflow: hidden;

  @include mq("tablet", "max") {
    height: 200px;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: $post-transition;
  }
}

.post__content {
  padding: 34px;

  @include mq("tablet", "max") {
    padding: 25px;
  }
}

.post__title {
  margin-bottom: 20px;
  font-weight: $text-weight-semibold;
  font-size: $text-size-s;
}

.post__text {
  font-size: $text-size-xs;
}
/* ================ end post component */
